{ config, pkgs, inputs, ... }: {

  imports = [ ./shared.nix ];

  # Bootloader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  # Qemu guest
  services.qemuGuest.enable = true;

  # Install Prometheus for Grafana
  services.prometheus.exporters.node = {
      enable = true;
      port = 9002;
      enabledCollectors = [ "systemd" "processes" ];
      openFirewall = true;
      firewallFilter = "-s 192.168.100.41 -p tcp -m tcp --dport 9002";
  };

  system.stateVersion = "24.05";
}
